Creates all the subjects defined in the array. Maximum of 10 subjects allowed.
Array of subjects to create, or a batch object with subjects array and optional batch-level options. Maximum of 10 subjects allowed.
Array of subjects to create. Maximum of 10 subjects allowed.
Full middle name or a bare initial; omit if the subject has none. An update that omits this field clears any stored value.
For guaranteed long term compatibility we recommend using the single character gender identifiers. We will optimistically accept other formats like 'male' and 'female'.
[ { "externalIdentifier": "12345", "externalSystem": "Hospital A" } ]
[ { "first": "Dave", "last": "Mann" } ]
- Array of any
- CreateSubjectBatch
curl -i -X POST \
https://partner.xcures.com/api/v1/patient-registry/subject \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'ProjectId: e6b01018-a333-4732-917e-fe38e91b0fdf' \
-d '[
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"firstName": "David",
"middleName": "Quincy",
"lastName": "Mann",
"email": "david.mann@example.com",
"birthDate": "2023-05-26",
"deathDate": "2023-05-26",
"gender": "M",
"addressLine1": "123 Main St.",
"addressLine2": "Apt 4B",
"addressCity": "Minneapolis",
"addressState": "MN",
"addressPostalCode": "55401",
"phoneNumber": "123-456-7890",
"externalIdentifiers": [
{
"externalIdentifier": "12345",
"externalSystem": "Hospital A"
}
],
"labels": [
"label_1",
"Label 2"
],
"additionalNames": [
{
"first": "Dave",
"last": "Mann"
}
],
"additionalAddresses": [
{
"addressLine1": "456 Other St.",
"addressCity": "Saint Paul",
"addressState": "MN",
"addressPostalCode": "55101"
}
],
"tags": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"projectTagId": "63cdeb69-699a-46ee-9d32-dd85d73e6a64",
"valueText": "string",
"valueNumber": 0,
"valueDate": "2019-08-24T14:15:22Z",
"valueBoolean": true
}
]
}
]'A human-readable, randomly generated, 6 character alpha-numeric identifier for the subject.
Full middle name or a bare initial; omit if the subject has none. An update that omits this field clears any stored value.
For guaranteed long term compatibility we recommend using the single character gender identifiers. We will optimistically accept other formats like 'male' and 'female'.
[ { "externalIdentifier": "12345", "externalSystem": "Hospital A" } ]
[ { "first": "Dave", "last": "Mann" } ]
[ { "addressLine1": "456 Other St.", "addressCity": "Saint Paul", "addressState": "MN", "addressPostalCode": "55101" } ]
[ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "created": "2025-05-26T23:30:40.912Z", "updated": "2025-05-26T23:30:40.912Z", "deleted": "2025-05-26T23:30:40.912Z", "identifier": "ABCD12", "firstName": "David", "middleName": "Quincy", "lastName": "Mann", "email": "david.mann@example.com", "birthDate": "2023-05-26", "deathDate": "2023-05-26", "gender": "M", "addressLine1": "123 Main St.", "addressLine2": "Apt 4B", "addressCity": "Minneapolis", "addressState": "MN", "addressPostalCode": "55401", "phoneNumber": "123-456-7890", "externalIdentifiers": [ … ], "labels": [ … ], "cohortNames": [ … ], "additionalNames": [ … ], "additionalAddresses": [ … ], "tags": [ … ], "failureReason": "string" } ]